Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

How can I install a Mysql server on a host which had installed HDP 2.5 already?

Highlighted

How can I install a Mysql server on a host which had installed HDP 2.5 already?

Rising Star

Install mysql on a host which HDP 2.5 installed with following error:

# rpm -ivh MySQL-server-5.6.33-1.el7.x86_64.rpm
warning: MySQL-server-5.6.33-1.el7.x86_64.rpm: Header V3 DSA/SHA1 Signature, key ID 5072e1f5: NOKEY
Preparing...                          ################################# [100%]
        file /usr/share/mysql/charsets/README from install of MySQL-server-5.6.33-1.el7.x86_64 conflicts with file from package mariadb-libs-1:5.5.44-2.el7.centos.x86_64
        file /usr/share/mysql/czech/errmsg.sys from install of MySQL-server-5.6.33-1.el7.x86_64 conflicts with file from package mariadb-libs-1:5.5.44-2.el7.centos.x86_64
        file /usr/share/mysql/danish/errmsg.sys from install of MySQL-server-5.6.33-1.el7.x86_64 conflicts with file from package mariadb-libs-1:5.5.44-2.el7.centos.x86_64
        file /usr/share/mysql/dutch/errmsg.sys from install of MySQL-server-5.6.33-1.el7.x86_64 conflicts with file from package mariadb-libs-1:5.5.44-2.el7.centos.x86_64

.

.

.

But remove mariadb-libs said it dependency with HDP 2.5 hadoop, ......

# yum remove mariadb-libs                      
Loaded plugins: fastestmirror
Resolving Dependencies
.........
.........
--> Running transaction check
---> Package hadoop_2_5_0_0_1245.x86_64 0:2.7.3.2.5.0.0-1245.el6 will be erased
--> Processing Dependency: hadoop_2_5_0_0_1245 for package: hive_2_5_0_0_1245-hcatalog-1.2.1000.2.5.0.0-1245.el6.noarch
--> Processing Dependency: hadoop_2_5_0_0_1245 for package: tez_hive2_2_5_0_0_1245-0.8.4.2.5.0.0-1245.el6.noarch
--> Processing Dependency: hadoop_2_5_0_0_1245 for package: tez_2_5_0_0_1245-0.7.0.2.5.0.0-1245.el6.noarch
--> Processing Dependency: hadoop_2_5_0_0_1245 = 2.7.3.2.5.0.0-1245.el6 for package: hadoop_2_5_0_0_1245-yarn-2.7.3.2.5.0.0-1245.el6.x86_64
--> Processing Dependency: hadoop_2_5_0_0_1245 = 2.7.3.2.5.0.0-1245.el6 for package: hadoop_2_5_0_0_1245-client-2.7.3.2.5.0.0-1245.el6.x86_64
--> Processing Dependency: hadoop_2_5_0_0_1245 = 2.7.3.2.5.0.0-1245.el6 for package: hadoop_2_5_0_0_1245-hdfs-2.7.3.2.5.0.0-1245.el6.x86_64
---> Package spark_2_5_0_0_1245.noarch 0:1.6.2.2.5.0.0-1245.el6 will be erased
--> Processing Dependency: spark_2_5_0_0_1245 = 1.6.2.2.5.0.0-1245.el6 for package: spark_2_5_0_0_1245-python-1.6.2.2.5.0.0-1245.el6.noarch
---> Package zookeeper_2_5_0_0_1245-server.noarch 0:3.4.6.2.5.0.0-1245.el6 will be erased

So,How can I install a Mysql server on a host which had installed HDP 2.5 already?

3 REPLIES 3
Highlighted

Re: How can I install a Mysql server on a host which had installed HDP 2.5 already?

Rising Star

I know can remove mariadb-libs with --nodeps, but if did that , can HDP 2.5 still work well?

Re: How can I install a Mysql server on a host which had installed HDP 2.5 already?

Contributor

If you are using the sandbox, or you can check your Hive config Hive_Database value, you may be using MySQL for that, if that helps

Highlighted

Re: How can I install a Mysql server on a host which had installed HDP 2.5 already?

Rising Star

I'm not using sandbox, I just want to install another MYSQL for other appliations which host had HDP installed already

Don't have an account?
Coming from Hortonworks? Activate your account here